Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

From: Christopher D. Maestas (cdmaest_at_[hidden])
Date: 2007-07-10 13:14:21


Has anyone seen the following message with Open MPI:

---
warning:regcache incompatible with malloc
---
We see this with 1.2.3 on a 32 bit mx build:
---
$ cat BUILD_ENV
# Build Environment:
USE="doc icc modules mx torque"
COMPILER="intel-9.1-f040-c046"
CC="icc"
CXX="icpc"
CLINKER="icc"
FC="ifort"
F77="ifort"
CFLAGS=" -O3 -pipe"
CXXFLAGS=" -O3 -pipe"
FFLAGS=" -O3"
MODULE_DEST="/apps/modules/modulefiles/mpi"
MODULE_FILE="openmpi-1.2.3_mx_intel-9.1-f040-c046"
INSTALL_DEST="/apps/x86/mpi/openmpi/intel-9.1-f040-c046/openmpi-1.2.3_mx"
CONF_FLAGS=" --with-mx=/opt/mx --with-tm=/apps/torque"
---
We don't see this message with mpich-mx-1.2.7..4